// ==UserScript==
// @name 076mute
// @match *://social.076.moe/*
// @version 1.0
// @run-at document-start
// ==/UserScript==

(function () {
    var selector_mute = [
        "[title='ユーザー名@ドメイン名']",
    ];
    var selector_entry = "li.h-entry";

    function del(node) {
        if (node && node.parentNode) {
            node.parentNode.removeChild(node);
        }
    }

    function run() {
        var result = document.querySelectorAll(selector_mute.join(","));
        var i = 0;

        while (result[i]) {
            del(result[i].closest(selector_entry));
            i++;
        }
    }

    var tid = setInterval(run, 0);

    window.addEventListener("DOMContentLoaded", function f() {
        run();
        clearTimeout(tid);
        window.removeEventListener("DOMContentLoaded", f);
    }, false);

    window.addEventListener("beforeunload", function f() {
        clearTimeout(tid);
        window.removeEventListener("beforeunload", f);
    }, false);
}());
